## ZendX_JQuery_View_Helper_AccordionContainer

Description

jQuery Accordion View Helper

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- usedby: ZendX_JQuery_View_Helper_AccordionPane
- license: New BSD License
- uses: Zend_Json

Located in /JQuery/View/Helper/AccordionContainer.php (line 37)

    Zend_View_Helper_HtmlElement
       |
       --ZendX_JQuery_View_Helper_UiWidget
          |
          --ZendX_JQuery_View_Helper_AccordionContainer

Variable Summary
string $_elementHtmlTemplate
array $_panes
Method Summary
string|ZendX_JQuery_View_Helper_AccordionContainer accordionContainer ([string $id = null], [ $params = array()], [ $attribs = array()])
ZendX_JQuery_View_Helper_AccordionContainer addPane (string $id, string $name, string $content, [ $options = array()])
string getAccordionTemplate (array $attribs, string $html)
string getElementHtmlTemplate ()
Variables
string $_elementHtmlTemplate = null (line 47)

- access: protected

array $_panes = array() (line 42)

- access: protected

#### Inherited Variables

Inherited from ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::$jquery

Methods
accordionContainer (line 82)

Render Accordion with the currently registered elements.

If no arguments are given, the accordion object is returned so that chaining the addPane() function allows to register new elements for an accordion.

- link: http://docs.jquery.com/UI/Accordion
- access: public

string|ZendX_JQuery_View_Helper_AccordionContainer accordionContainer ([string $id = null], [ $params = array()], [ $attribs = array()])

- string $id
- array $params
- array $attribs

addPane (line 57)

Add Accordion Pane for the Accordion-Id

- access: public

ZendX_JQuery_View_Helper_AccordionContainer addPane (string $id, string $name, string $content, [ $options = array()])

- string $id
- string $name
- string $content
- array $options

getAccordionTemplate (line 121)

- access: protected

string getAccordionTemplate (array $attribs, string $html)

- array $attribs
- string $html

getElementHtmlTemplate (line 142)

- access: protected

string getElementHtmlTemplate ()

#### Inherited Methods

Inherited From ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::setView()
> ZendX_JQuery_View_Helper_UiWidget::_prepareAttributes()

Documentation generated on Mon, 24 Aug 2009 17:58:42 -0700 by phpDocumentor 1.4.2